Subject: Re: bug#35885: 25.2; Few mistakes in Emacs Manual (+ proposals)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jun 2019 20:01:06 +0300

> From: Sebastian Urban <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 10 Jun 2019 12:30:52 +0200
> 
> In KILLING.TEXI - L125-127:
>   leaves @var{n} spaces before point if @var{n} is positive; if @var{n}
>   is negative, it deletes newlines in addition to spaces and tabs,
> -leaving @var{-n} spaces before point.  The command @code{cycle-spacing}
> +leaving @var{n} spaces before point.  The command @code{cycle-spacing}
> 
> There 'n' stands just for number of spaces, so no need for negative
> or positive mark.  Also documentation string in SIMPLE.EL for
> 'just-one-space' will need correction, because there is '-N'.

I don't think I understand (and if I do, I disagree).  The text says:

  if N is negative, ... leaving -N spaces before point.

When N is negative, -N is positive, so the original text sounds
correct to me.

> With a positive numeric argument @var{n}, it leaves @var{n} spaces
> before point; if @var{n} is negative, it also deletes newlines.

This has the same problem as omitting the minus sign in your
suggestion above.

Thanks.